# Roundup issue tracker configuration file
# Autogenerated at Fri Nov 17 16:59:49 2006

# WARNING! Following options need adjustments:
#  [mail]: domain, host
#  [tracker]: web

[main]

# Database directory path.
# The path may be either absolute or relative
# to the directory containig this config file.
# Default: db
database = db

# Path to the HTML templates directory.
# The path may be either absolute or relative
# to the directory containig this config file.
# Default: html
templates = html

# Path to directory holding additional static files
# available via Web UI.  This directory may contain
# sitewide images, CSS stylesheets etc. and is searched
# for these files prior to the TEMPLATES directory
# specified above.  If this option is not set, all static
# files are taken from the TEMPLATES directory
# The path may be either absolute or relative
# to the directory containig this config file.
# Default: 
static_files = 

# Email address that roundup will complain to if it runs into trouble.
# Default: roundup-admin
admin_email = roundup-admin

# The 'dispatcher' is a role that can get notified
# of new items to the database.
# It is used by the ERROR_MESSAGES_TO config setting.
# Default: roundup-admin
dispatcher_email = roundup-admin

# Additional text to include in the "name" part
# of the From: address used in nosy messages.
# If the sending user is "Foo Bar", the From: line
# is usually: "Foo Bar" <issue_tracker@tracker.example>
# the EMAIL_FROM_TAG goes inside the "Foo Bar" quotes like so:
# "Foo Bar EMAIL_FROM_TAG" <issue_tracker@tracker.example>
# Default: 
email_from_tag = 

# Roles that a user gets when they register with Web User Interface.
# This is a comma-separated string of role names (e.g. 'Admin,User').
# Default: User
new_web_user_roles = User

# Roles that a user gets when they register with Email Gateway.
# This is a comma-separated string of role names (e.g. 'Admin,User').
# Default: User
new_email_user_roles = User

# Send error message emails to the dispatcher, user, or both?
# The dispatcher is configured using the DISPATCHER_EMAIL setting.
# Default: user
error_messages_to = user

# HTML version to generate. The templates are html4 by default.
# If you wish to make them xhtml, then you'll need to change this
# var to 'xhtml' too so all auto-generated HTML is compliant.
# Allowed values: html4, xhtml
# Default: html4
html_version = xhtml

# Default timezone offset, applied when user's timezone is not set.
# If pytz module is installed, value may be any valid
# timezone specification (e.g. EET or Europe/Warsaw).
# If pytz is not installed, value must be integer number
# giving local timezone offset from UTC in hours.
# Default: UTC
timezone = UTC

# Register new users instantly, or require confirmation via
# email?
# Allowed values: yes, no
# Default: no
instant_registration = no

# Offer registration confirmation by email or only through the web?
# Allowed values: yes, no
# Default: yes
email_registration_confirmation = yes

# Additional stop-words for the full-text indexer specific to
# your tracker. See the indexer source for the default list of
# stop-words (eg. A,AND,ARE,AS,AT,BE,BUT,BY, ...)
# Allowed values: comma-separated list of words
# Default: 
indexer_stopwords = 

# Defines the file creation mode mask.
# Default: 02
umask = 02

[tracker]

# A descriptive name for your roundup instance.
# Default: Roundup issue tracker
name = Roundup tracker

# The web address that the tracker is viewable at.
# This will be included in information sent to users of the tracker.
# The URL MUST include the cgi-bin part or anything else
# that is required to get to the home page of the tracker.
# You MUST include a trailing '/' in the URL.
# Default: NO DEFAULT
web = 

# Email address that mail to roundup should go to.
# Default: issue_tracker
email = issue_tracker

# Default locale name for this tracker.
# If this option is not set, the language is determined
# by OS environment variable LANGUAGE, LC_ALL, LC_MESSAGES,
# or LANG, in that order of preference.
# Default: 
language = 

[web]

# Whether to use HTTP Basic Authentication, if present.
# Roundup will use either the REMOTE_USER or HTTP_AUTHORIZATION
# variables supplied by your web server (in that order).
# Set this option to 'no' if you do not wish to use HTTP Basic
# Authentication in your web interface.
# Allowed values: yes, no
# Default: yes
http_auth = yes

# Whether to use HTTP Accept-Language, if present.
# Browsers send a language-region preference list.
# It's usually set in the client's browser or in their
# Operating System.
# Set this option to 'no' if you want to ignore it.
# Allowed values: yes, no
# Default: yes
use_browser_language = no

# Setting this option makes Roundup display error tracebacks
# in the user's browser rather than emailing them to the
# tracker admin.
# Allowed values: yes, no
# Default: no
debug = no

# Settings in this section are used by Postgresql and MySQL backends only
[rdbms]

# Name of the database to use.
# Default: roundup
name = roundup_roundup_tracker

# Database server host.
# Default: localhost
host = localhost

# TCP port number of the database server.
# Postgresql usually resides on port 5432 (if any),
# for MySQL default port number is 3306.
# Leave this option empty to use backend default
# Default: 
port = 

# Database user name that Roundup should use.
# Default: roundup
user = roundup

# Database user password.
# Default: roundup
password = roundup

# Name of the MySQL defaults file.
# Only used in MySQL connections.
# Default: ~/.my.cnf
read_default_file = ~/.my.cnf

# Name of the group to use in the MySQL defaults file (.my.cnf).
# Only used in MySQL connections.
# Default: roundup
read_default_group = roundup

[logging]

# Path to configuration file for standard Python logging module.
# If this option is set, logging configuration is loaded
# from specified file; options 'filename' and 'level'
# in this section are ignored.
# The path may be either absolute or relative
# to the directory containig this config file.
# Default: 
config = 

# Log file name for minimal logging facility built into Roundup.
# If no file name specified, log messages are written on stderr.
# If above 'config' option is set, this option has no effect.
# The path may be either absolute or relative
# to the directory containig this config file.
# Default: 
filename = 

# Minimal severity level of messages written to log file.
# If above 'config' option is set, this option has no effect.
# Allowed values: DEBUG, INFO, WARNING, ERROR
# Default: ERROR
level = ERROR

# Outgoing email options.
# Used for nozy messages and approval requests
[mail]

# Domain name used for email addresses.
# Default: NO DEFAULT
#domain = NO DEFAULT
domain = psf.upfronthosting.co.za

# SMTP mail host that roundup will use to send mail
# Default: NO DEFAULT
#host = NO DEFAULT
host = localhost

# SMTP login name.
# Set this if your mail host requires authenticated access.
# If username is not empty, password (below) MUST be set!
# Default: 
username = 

# SMTP login password.
# Set this if your mail host requires authenticated access.
# Default: NO DEFAULT
#password = NO DEFAULT

# If your SMTP mail host provides or requires TLS
# (Transport Layer Security) then set this option to 'yes'.
# Allowed values: yes, no
# Default: no
tls = no

# If TLS is used, you may set this option to the name
# of a PEM formatted file that contains your private key.
# The path may be either absolute or relative
# to the directory containig this config file.
# Default: 
tls_keyfile = 

# If TLS is used, you may set this option to the name
# of a PEM formatted certificate chain file.
# The path may be either absolute or relative
# to the directory containig this config file.
# Default: 
tls_certfile = 

# Character set to encode email headers with.
# We use utf-8 by default, as it's the most flexible.
# Some mail readers (eg. Eudora) can't cope with that,
# so you might need to specify a more limited character set
# (eg. iso-8859-1).
# Default: utf-8
charset = utf-8

# Setting this option makes Roundup to write all outgoing email
# messages to this file *instead* of sending them.
# This option has the same effect as environment variable SENDMAILDEBUG.
# Environment variable takes precedence.
# The path may be either absolute or relative
# to the directory containig this config file.
# Default: 
#debug = /home/roundup/outgoing-mail
debug = 

# Roundup Mail Gateway options
[mailgw]

# Keep email citations when accepting messages.
# Setting this to "no" strips out "quoted" text from the message.
# Signatures are also stripped.
# Allowed values: yes, no
# Default: yes
keep_quoted_text = yes

# Preserve the email body as is - that is,
# keep the citations _and_ signatures.
# Allowed values: yes, no
# Default: no
leave_body_unchanged = no

# Default class to use in the mailgw
# if one isn't supplied in email subjects.
# To disable, leave the value blank.
# Default: issue
default_class = issue

# Default locale name for the tracker mail gateway.
# If this option is not set, mail gateway will use
# the language of the tracker instance.
# Default: 
language = 

# Controls the parsing of the [prefix] on subject
# lines in incoming emails. "strict" will return an
# error to the sender if the [prefix] is not recognised.
# "loose" will attempt to parse the [prefix] but just
# pass it through as part of the issue title if not
# recognised. "none" will always pass any [prefix]
# through as part of the issue title.
# Default: strict
subject_prefix_parsing = strict

# Controls the parsing of the [suffix] on subject
# lines in incoming emails. "strict" will return an
# error to the sender if the [suffix] is not recognised.
# "loose" will attempt to parse the [suffix] but just
# pass it through as part of the issue title if not
# recognised. "none" will always pass any [suffix]
# through as part of the issue title.
# Default: strict
subject_suffix_parsing = strict

# Defines the brackets used for delimiting the prefix and 
# suffix in a subject line. The presence of "suffix" in
# the config option name is a historical artifact and may
# be ignored.
# Default: []
subject_suffix_delimiters = []

# Controls matching of the incoming email subject line
# against issue titles in the case where there is no
# designator [prefix]. "never" turns off matching.
# "creation + interval" or "activity + interval"
# will match an issue for the interval after the issue's
# creation or last activity. The interval is a standard
# Roundup interval.
# Default: always
subject_content_match = always

# Nosy messages sending
[nosy]

# Send nosy messages to the author of the message.
# Allowed values: yes, no, new
# Default: no
messages_to_author = yes

# Where to place the email signature.
# Allowed values: top, bottom, none
# Default: bottom
signature_position = bottom

# Does the author of a message get placed on the nosy list
# automatically?  If 'new' is used, then the author will
# only be added when a message creates a new issue.
# If 'yes', then the author will be added on followups too.
# If 'no', they're never added to the nosy.
# 
# Allowed values: yes, no, new
# Default: new
add_author = yes

# Do the recipients (To:, Cc:) of a message get placed on the
# nosy list?  If 'new' is used, then the recipients will
# only be added when a message creates a new issue.
# If 'yes', then the recipients will be added on followups too.
# If 'no', they're never added to the nosy.
# 
# Allowed values: yes, no, new
# Default: new
add_recipients = new

# Controls the email sending from the nosy reactor. If
# "multiple" then a separate email is sent to each
# recipient. If "single" then a single email is sent with
# each recipient as a CC address.
# Default: single
email_sending = multiple
